oasis.names.tc.saml._1_0.assertion

## Class NameIdentifierType

- java.lang.Object
- - oasis.names.tc.saml._1_0.assertion.NameIdentifierType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:51:38+01:00",
                 comments="JAXB RI v2.3.7")
      public class NameIdentifierType
      extends Object
      implements Serializable

  Java class for NameIdentifierType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="NameIdentifierType">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute name="NameQualifier" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="Format" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameIdentifierType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFormat()` Gets the value of the format property.
    `String` | `getNameQualifier()` Gets the value of the nameQualifier property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setFormat(String value)` Sets the value of the format property.
    `void` | `setNameQualifier(String value)` Sets the value of the nameQualifier property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameIdentifierType

          public NameIdentifierType()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNameQualifier

          public String getNameQualifier()

      Gets the value of the nameQualifier property.
      Returns:
        possible object is `String`

    - #### setNameQualifier

          public void setNameQualifier(String value)

      Sets the value of the nameQualifier property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFormat

          public String getFormat()

      Gets the value of the format property.
      Returns:
        possible object is `String`

    - #### setFormat

          public void setFormat(String value)

      Sets the value of the format property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPRACTICALNURSE 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.